<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>&quot;typescript-1.4&quot; | @cortical/typedoc</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">@cortical/typedoc</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="_typescript_1_4_.html">&quot;typescript-1.4&quot;</a>
				</li>
			</ul>
			<h1>External module &quot;typescript-1.4&quot;</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>Examples of features added in TypeScript 1.4.</p>
					</div>
					<dl class="tsd-comment-tags">
						<dt>see</dt>
						<dd><p><a href="http://blogs.msdn.com/b/typescript/archive/2014/11/18/what-s-new-in-the-typescript-type-system.aspx">http://blogs.msdn.com/b/typescript/archive/2014/11/18/what-s-new-in-the-typescript-type-system.aspx</a></p>
						</dd>
					</dl>
				</div>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section tsd-is-not-exported">
							<h3>Classes</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-class tsd-parent-kind-external-module tsd-is-not-exported"><a href="../classes/_typescript_1_4_.simpleclass.html" class="tsd-kind-icon">Simple<wbr>Class</a></li>
							</ul>
						</section>
						<section class="tsd-index-section tsd-is-not-exported">
							<h3>Interfaces</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-interface tsd-parent-kind-external-module tsd-is-not-exported"><a href="../interfaces/_typescript_1_4_.runoptions.html" class="tsd-kind-icon">Run<wbr>Options</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Type aliases</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_4_.html#callback" class="tsd-kind-icon">Callback</a></li>
								<li class="tsd-kind-type-alias tsd-parent-kind-external-module"><a href="_typescript_1_4_.html#genericcallback" class="tsd-kind-icon">Generic<wbr>Callback</a></li>
								<li class="tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_4_.html#mynumber" class="tsd-kind-icon">My<wbr>Number</a></li>
								<li class="tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_4_.html#myrunoptions" class="tsd-kind-icon">My<wbr>Run<wbr>Options</a></li>
								<li class="tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_4_.html#primitivearray" class="tsd-kind-icon">Primitive<wbr>Array</a></li>
							</ul>
						</section>
						<section class="tsd-index-section tsd-is-not-exported">
							<h3>Variables</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_4_.html#callback-1" class="tsd-kind-icon">callback</a></li>
								<li class="tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_4_.html#interfaceorstring" class="tsd-kind-icon">interface<wbr>OrString</a></li>
							</ul>
						</section>
						<section class="tsd-index-section tsd-is-not-exported">
							<h3>Functions</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported"><a href="_typescript_1_4_.html#functionusingtypes" class="tsd-kind-icon">function<wbr>Using<wbr>Types</a></li>
								<li class="tsd-kind-function tsd-parent-kind-external-module tsd-has-type-parameter tsd-is-not-exported"><a href="_typescript_1_4_.html#functionwithgenericcallback" class="tsd-kind-icon">function<wbr>With<wbr>Generic<wbr>Callback</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Type aliases</h2>
				<section class="tsd-panel tsd-member tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="callback" class="tsd-anchor"></a>
					<h3>Callback</h3>
					<div class="tsd-signature tsd-kind-icon">Callback<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">function</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.4.ts:39</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>A type alias of for a callback function.</p>
						</div>
					</div>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-siganture">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-type-alias tsd-is-not-exported">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">...</span>parameters<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5><span class="tsd-flag ts-flagRest">Rest</span> <span class="tsd-signature-symbol">...</span>parameters: <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">[]</span></h5>
												<div class="tsd-comment tsd-typography">
													<p>The rest parameter.</p>
												</div>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">string</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias tsd-parent-kind-external-module">
					<a name="genericcallback" class="tsd-anchor"></a>
					<h3>Generic<wbr>Callback</h3>
					<div class="tsd-signature tsd-kind-icon">Generic<wbr>Callback<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">function</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.4.ts:51</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>A type alias of for a generic callback function.</p>
						</div>
						<dl class="tsd-comment-tags">
							<dt>returns</dt>
							<dd><p>Some return value.</p>
							</dd>
						</dl>
					</div>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-siganture">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-type-alias tsd-has-type-parameter tsd-is-not-exported">
									<li class="tsd-signature tsd-kind-icon">&lt;T&gt;<span class="tsd-signature-symbol">(</span>val<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">T</span>, index<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span>, arr<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Array</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">T</span><span class="tsd-signature-symbol">&gt;</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">any</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-type-parameters-title">Type parameters</h4>
										<ul class="tsd-type-parameters">
											<li>
												<h4>T</h4>
												<div class="tsd-comment tsd-typography">
													<p>Some type argument.</p>
												</div>
											</li>
										</ul>
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>val: <span class="tsd-signature-type">T</span></h5>
												<div class="tsd-comment tsd-typography">
													<p>Some generic value.</p>
												</div>
											</li>
											<li>
												<h5>index: <span class="tsd-signature-type">number</span></h5>
												<div class="tsd-comment tsd-typography">
													<p>Some index value.</p>
												</div>
											</li>
											<li>
												<h5>arr: <span class="tsd-signature-type">Array</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">T</span><span class="tsd-signature-symbol">&gt;</span></h5>
												<div class="tsd-comment tsd-typography">
													<p>A generic array.</p>
												</div>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">any</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="mynumber" class="tsd-anchor"></a>
					<h3>My<wbr>Number</h3>
					<div class="tsd-signature tsd-kind-icon">My<wbr>Number<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.4.ts:25</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>A type alias describing a primitive value.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="myrunoptions" class="tsd-anchor"></a>
					<h3>My<wbr>Run<wbr>Options</h3>
					<div class="tsd-signature tsd-kind-icon">My<wbr>Run<wbr>Options<span class="tsd-signature-symbol">:</span> <a href="../interfaces/_typescript_1_4_.runoptions.html" class="tsd-signature-type">RunOptions</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.4.ts:31</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>A type alias describing a reference type.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="primitivearray" class="tsd-anchor"></a>
					<h3>Primitive<wbr>Array</h3>
					<div class="tsd-signature tsd-kind-icon">Primitive<wbr>Array<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">Array</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">&gt;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.4.ts:19</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>A type alias describing an array.</p>
						</div>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-not-exported">
				<h2>Variables</h2>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="callback-1" class="tsd-anchor"></a>
					<h3>callback</h3>
					<div class="tsd-signature tsd-kind-icon">callback<span class="tsd-signature-symbol">:</span> <a href="_typescript_1_4_.html#callback" class="tsd-signature-type">Callback</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.4.ts:63</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>A variable pointing to a type alias.</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="interfaceorstring" class="tsd-anchor"></a>
					<h3>interface<wbr>OrString</h3>
					<div class="tsd-signature tsd-kind-icon">interface<wbr>OrString<span class="tsd-signature-symbol">:</span> <a href="../interfaces/_typescript_1_4_.runoptions.html" class="tsd-signature-type">RunOptions</a><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">string</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in typescript-1.4.ts:57</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>A variable defined using an union type.</p>
						</div>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group tsd-is-not-exported">
				<h2>Functions</h2>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
					<a name="functionusingtypes" class="tsd-anchor"></a>
					<h3>function<wbr>Using<wbr>Types</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<li class="tsd-signature tsd-kind-icon">function<wbr>Using<wbr>Types<span class="tsd-signature-symbol">(</span>aliasData<span class="tsd-signature-symbol">: </span><a href="_typescript_1_4_.html#primitivearray" class="tsd-signature-type">PrimitiveArray</a>, callback<span class="tsd-signature-symbol">: </span><a href="_typescript_1_4_.html#callback" class="tsd-signature-type">Callback</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><a href="_typescript_1_4_.html#mynumber" class="tsd-signature-type">MyNumber</a></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in typescript-1.4.ts:69</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>A function that has parameters pointing to type aliases and returns a type alias.</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>aliasData: <a href="_typescript_1_4_.html#primitivearray" class="tsd-signature-type">PrimitiveArray</a></h5>
								</li>
								<li>
									<h5>callback: <a href="_typescript_1_4_.html#callback" class="tsd-signature-type">Callback</a></h5>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <a href="_typescript_1_4_.html#mynumber" class="tsd-signature-type">MyNumber</a></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function tsd-parent-kind-external-module tsd-has-type-parameter tsd-is-not-exported">
					<a name="functionwithgenericcallback" class="tsd-anchor"></a>
					<h3>function<wbr>With<wbr>Generic<wbr>Callback</h3>
					<ul class="tsd-signatures tsd-kind-function tsd-parent-kind-external-module tsd-has-type-parameter tsd-is-not-exported">
						<li class="tsd-signature tsd-kind-icon">function<wbr>With<wbr>Generic<wbr>Callback&lt;T&gt;<span class="tsd-signature-symbol">(</span>arr<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Array</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">T</span><span class="tsd-signature-symbol">&gt;</span>, callback<span class="tsd-signature-symbol">: </span><a href="_typescript_1_4_.html#genericcallback" class="tsd-signature-type">GenericCallback</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">any</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in typescript-1.4.ts:82</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>A generic function using a generic type alias.</p>
								</div>
							</div>
							<h4 class="tsd-type-parameters-title">Type parameters</h4>
							<ul class="tsd-type-parameters">
								<li>
									<h4>T</h4>
									<div class="tsd-comment tsd-typography">
										<p>Some type argument.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>arr: <span class="tsd-signature-type">Array</span><span class="tsd-signature-symbol">&lt;</span><span class="tsd-signature-type">T</span><span class="tsd-signature-symbol">&gt;</span></h5>
									<div class="tsd-comment tsd-typography">
										<p>A generic array.</p>
									</div>
								</li>
								<li>
									<h5>callback: <a href="_typescript_1_4_.html#genericcallback" class="tsd-signature-type">GenericCallback</a></h5>
									<div class="tsd-comment tsd-typography">
										<p>Some generic type alias callback.</p>
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">any</span></h4>
							<p>Some return value.</p>
						</li>
					</ul>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_access_.html">"access"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_classes_.html">"classes"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_default_export_.html">"default-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_enumerations_.html">"enumerations"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_flattened_.html">"flattened"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_functions_.html">"functions"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_generics_.html">"generics"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_modules_.html">"modules"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_single_export_.html">"single-<wbr>export"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_3_.html">"typescript-<wbr>1.3"</a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="_typescript_1_4_.html">"typescript-<wbr>1.4"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_typescript_1_5_.html">"typescript-<wbr>1.5"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="_variables_.html">"variables"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
					<li class=" tsd-kind-class tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="../classes/_typescript_1_4_.simpleclass.html" class="tsd-kind-icon">Simple<wbr>Class</a>
					</li>
					<li class=" tsd-kind-interface tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="../interfaces/_typescript_1_4_.runoptions.html" class="tsd-kind-icon">Run<wbr>Options</a>
					</li>
					<li class=" tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_4_.html#callback" class="tsd-kind-icon">Callback</a>
					</li>
					<li class=" tsd-kind-type-alias tsd-parent-kind-external-module">
						<a href="_typescript_1_4_.html#genericcallback" class="tsd-kind-icon">Generic<wbr>Callback</a>
					</li>
					<li class=" tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_4_.html#mynumber" class="tsd-kind-icon">My<wbr>Number</a>
					</li>
					<li class=" tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_4_.html#myrunoptions" class="tsd-kind-icon">My<wbr>Run<wbr>Options</a>
					</li>
					<li class=" tsd-kind-type-alias tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_4_.html#primitivearray" class="tsd-kind-icon">Primitive<wbr>Array</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_4_.html#callback-1" class="tsd-kind-icon">callback</a>
					</li>
					<li class=" tsd-kind-variable tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_4_.html#interfaceorstring" class="tsd-kind-icon">interface<wbr>OrString</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module tsd-is-not-exported">
						<a href="_typescript_1_4_.html#functionusingtypes" class="tsd-kind-icon">function<wbr>Using<wbr>Types</a>
					</li>
					<li class=" tsd-kind-function tsd-parent-kind-external-module tsd-has-type-parameter tsd-is-not-exported">
						<a href="_typescript_1_4_.html#functionwithgenericcallback" class="tsd-kind-icon">function<wbr>With<wbr>Generic<wbr>Callback</a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="http://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>